/* CSS Document */
.event-wrapper {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
    text-align: left;
}

.event-row {
    margin: 0;
    padding: 0;
    color: var(--color-blue-med);
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
}

.event-row img {
    display: block;
    width: 100%;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.event-date {
    text-align: center;
    font-family: "greycliff_semibold";
    letter-spacing: 1px;
    line-height: 2rem;
    grid-column: -3;
    width: 12rem;
}

.event-month, .event-year, .event-dow {
    text-transform: uppercase;
    font-size: 1.75rem;
    line-height: 2rem;
    margin: 1px 0 0;
}

.event-dow {
    font-family: 'greycliff_bold';
    font-size: 2.3rem;
    line-height: 2.6rem;
}

.event-day {
    font-size: 4rem;
    padding: 0 0 2px;
    margin: 12px 0;
}

.event-info {
    background-color: #fff;
    border-radius: 15px;
    margin-bottom: 10px;
}

.event-info h3 {
    color: var(--color-gold);
}

.event-info a h3 {
    color: var(--color-gold);
    text-decoration: none;
    margin: 0px;
    padding: 15px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.event-info a:hover {
    text-decoration: none;
}

.event-info a:hover h3 {
    background-color: var(--color-blue-light);
    text-decoration: none;
}

.event-info h4 {
    font-family: 'greycliff_semibold';
    background-color: var(--color-blue-med);
    color: #fff;
    margin: 0px;
    padding: 15px;
    padding-top: 0px;
    padding-bottom: 10px;
    font-size: calc(1.25rem + 0.125vw);
}

.event-other-info {
    margin: 20px;
    display: flex;
    flex-direction: column;
    font-size: calc(1.375rem + 0.125vw);
}

.event-other-info p {
    font-size: calc(1.375rem + 0.125vw);
}

.event-other-info li {
    font-size: calc(1.375rem + 0.125vw);
}

.event-other-info-line {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.event-other-info .linea-svg-inner {
    width: 30px !important;
    height: 30px !important;
    margin: 5px;
    margin-right: 20px;

}

.event-other-info h4 {
    font-size: calc(2rem + 0.125vw);
}

.event-other-info-value {
    flex-grow: 3;
    font-size: 1.65rem;
}

.back-link {
    display: flex;
    align-items: center;
    margin-bottom: 15px;
}

.event-detail {
    
}

.event-detail img {
    display: block;
    width: 100%;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.event-detail .event-detail-info {
    background-color: #fff;
    padding: 15px;
    padding-bottom: 25px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

.event-detail h4 {
    
}

.event-detail .info-msg {
    background-color: var(--color-gold-pale);
    font-family: 'greycliff_semibold';
    padding: 15px;
    border-radius: 15px;
    color: var(--color-blue-dark);
    margin-top: 15px;
    margin-bottom: 15px;
}

@media screen and (max-width: 900px) {
    .event-date {
        width: 8rem;
    }

    .event-month, .event-year, .event-dow {
        font-size: 1.65rem;
        line-height: 1.9rem;
        margin: 1px 0 0;
    }

    .event-dow {
        font-size: 1.85rem;
        line-height: 2.1rem;
    }

    .event-day {
        font-size: 3rem;
        padding: 0 0 2px;
        margin: 5px 0;
    }

    .event-other-info {
        font-size: calc(1.375rem + 0.125vw);
    }

    .event-other-info p {
        font-size: calc(1.375rem + 0.125vw);
    }

    .event-other-info li {
        font-size: calc(1.375rem + 0.125vw);
    }

    .event-other-info .linea-svg-inner {
        width: 28px !important;
        height: 28px !important;
        margin: 5px;
        margin-right: 15px;
    }
    
    .event-other-info h4 {
        font-size: calc(1.85rem + 0.125vw);
    }

    .event-other-info-value {
        flex-grow: 3;
        font-family: 'greycliff_semibold';
        font-size: calc(1.5rem + 0.125vw);
    }
}

@media screen and (max-width: 780px) {
    .event-date {
        width: 4rem;
    }

    .event-month, .event-year, .event-dow {
        font-size: 1.25rem;
        line-height: 1.75rem;
        margin: 2px 0 0;
    }

    .event-dow {
        font-size: 1.4rem;
        line-height: 1.5rem;
    }

    .event-day {
        font-size: 3rem;
        padding: 0 0 1px;
        margin: 4px 0;
    }

    .event-other-info {
        margin: 10px;
    }

    .event-other-info .linea-svg-inner {
        width: 25px !important;
        height: 25px !important;
        margin: 3px;
        margin-right: 8px;
    }

    .event-other-info h4 {
        font-size: calc(1.65rem + 0.125vw);
    }

    .event-other-info-value {
        flex-grow: 3;
        font-size: calc(1.375rem + 0.125vw);
    }
}

@media screen and (max-width: 480px) {
    .event-date {
        flex: 0 0 3rem;    
    }
}
